package com.flyfish.framework.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 用户类型枚举
 *
 * @author wangyu
 */
@AllArgsConstructor
@Getter
public enum UserType implements NamedEnum {

    SUPER_ADMIN("超级管理员"), ADMIN("管理员"), VIP("会员"), USER("非会员"), OTHER("其他用户");

    private static final Map<String, UserType> aliasMap;

    static {
        aliasMap = new HashMap<>();
        aliasMap.put("vip", VIP);
        aliasMap.put("user", USER);
    }

    private final String name;

    public static UserType getByAlias(String alias) {
        return aliasMap.getOrDefault(alias, USER);
    }
}
