package com.flyfish.framework.auditor;

import com.flyfish.framework.context.UserContext;
import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.domain.po.User;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class OperationAuditor implements BeanAuditor<AuditDomain> {

    private final UserContext userContext;

    /**
     * 对实体进行审查，并补全相关字段
     *
     * @param data 原数据
     * @return 结果
     */
    @Override
    public void audit(AuditDomain data) {
        User currentUser = userContext.currentUser();
        if (null != currentUser) {
            if (StringUtils.isNotBlank(data.getId())) {
                data.setModifierId(currentUser.getId());
                data.setModifier(currentUser.getModifier());
            } else {
                data.setCreatorId(currentUser.getId());
                data.setCreator(currentUser.getName());
                data.setModifierId(currentUser.getModifierId());
            }
        }
    }
}
