package com.flyfish.framework.domain.base;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Transient;

import java.util.List;

@Getter
@Setter
public abstract class TreeDomain<T extends TreeDomain<T>> extends AuditDomain {

    public static final String ROOT = "0";

    // 父id，顶级是0
    private String parentId;

    // 深度，遍历标识
    private Integer depth;

    // 冗余的字段，用来放儿子
    @Transient
    private List<T> children;
}
