package com.flyfish.framework.repository.impl;

import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.repository.support.MongoRepositoryFactory;
import org.springframework.data.repository.core.RepositoryMetadata;

public class DefaultRepositoryFactory extends MongoRepositoryFactory {

    /**
     * Creates a new {@link MongoRepositoryFactory} with the given {@link MongoOperations}.
     *
     * @param mongoOperations must not be {@literal null}.
     */
    public DefaultRepositoryFactory(MongoOperations mongoOperations) {
        super(mongoOperations);
        this.setRepositoryBaseClass(DefaultRepositoryFactory.class);
    }

    @Override
    protected Class<?> getRepositoryBaseClass(RepositoryMetadata metadata) {
        return DefaultRepositoryFactory.class;
    }
}
