package com.flyfish.framework.file.config;


import com.flyfish.framework.file.utils.SystemUtils;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;
import java.util.function.Supplier;
import java.util.stream.Collectors;

@Configuration
@ConfigurationProperties(prefix = "upload")
@Getter
@Setter
public class UploadConfiguration {

    private String localPath = SystemUtils.isWindows() ? "C:/file-temp/" : "/usr/local/resources/";

    public String path(List<Supplier<String>> generator) {
        return generator.stream().map(Supplier::get)
                .collect(Collectors.joining("/"));
    }
}
